Module java.desktop
Package javax.swing.plaf

## Class ComboBoxUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ComboBoxUI

Direct Known Subclasses:
  `BasicComboBoxUI`, `MultiComboBoxUI`

    public abstract class ComboBoxUI
    extends ComponentUI

Pluggable look and feel interface for JComboBox.

### Constructor Summary

Constructors
`ComboBoxUI()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract boolean` `isFocusTraversable​(JComboBox<?> c)` Determine whether or not the combo box itself is traversable
`abstract boolean` `isPopupVisible​(JComboBox<?> c)` Determine the visibility of the popup
`abstract void` `setPopupVisible​(JComboBox<?> c, boolean v)` Set the visibility of the popup

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComboBoxUI

    public ComboBoxUI()

### Method Detail

#### setPopupVisible

    public abstract void setPopupVisible​(JComboBox<?> c,
                                         boolean v)

Set the visibility of the popup

Parameters:
  `c` - a `JComboBox`
  `v` - a `boolean` determining the visibilty of the popup

#### isPopupVisible

    public abstract boolean isPopupVisible​(JComboBox<?> c)

Determine the visibility of the popup

Parameters:
  `c` - a `JComboBox`
Returns:
  true if popup of the `JComboBox` is visible

#### isFocusTraversable

    public abstract boolean isFocusTraversable​(JComboBox<?> c)

Determine whether or not the combo box itself is traversable

Parameters:
  `c` - a `JComboBox`
Returns:
  true if the given `JComboBox` is traversable